/*--------------------------------------------------------------------------*/
/*	UniversalEnvVar.h							Sept.96 - A.Lefvre IRCAM	*/
/*																			*/
/*																			*/
/*--------------------------------------------------------------------------*/

#ifndef _UNIVERSALENVVAR_
#define _UNIVERSALENVVAR_

/*--------------------------------------------------------------------------*/
/*	Environment Variables													*/
/*--------------------------------------------------------------------------*/

#define varenv_Default			"DEFAULTWD"
#define varenv_Current			"PWD"
#define varenv_UserHome			"USERHOME"
#define varenv_Kernel			"KERNEL"
#define varenv_Marker			"MARKER"
#define varenv_Script			"SCRIPT"
#define varenv_Sound			"SFDIR"

/*--------------------------------------------------------------------------*/
/*	File Extensions															*/
/*--------------------------------------------------------------------------*/

#define extens_Temp				"temp"
#define extens_Synth			"synth"
#define extens_Marker			"mark"
#define extens_Script			"script"
#define extens_Sdif				"sdif"
#define extens_SndFloat			"floatSnd"
#define extens_SndAiff			"aiff"
#define extens_SndAifc			"aifc"
#define extens_SndSdII			"sdII"

/*--------------------------------------------------------------------------*/
/*	Macintosh File Types Only												*/
/*--------------------------------------------------------------------------*/

#if HOST_OS_MAC | macintosh

enum
{	FileCreator_TeachText		= FOUR_CHAR_CODE('ttxt'),
	FileCreator_BBEdit			= FOUR_CHAR_CODE('R*ch'),
	FileCreator_Sdif			= FOUR_CHAR_CODE('KERa'),
	FileCreator_Kernel			= FOUR_CHAR_CODE('KERN'),
	FileCreator_SoundDesigner	= FOUR_CHAR_CODE('Sd2a')
};

enum
{	FileType_Application		= FOUR_CHAR_CODE('APPL'),
	FileType_Text				= FOUR_CHAR_CODE('TEXT'),
	FileType_Bin				= FOUR_CHAR_CODE('KBIN'),
	FileType_Sdif				= FOUR_CHAR_CODE('SDIF'),
	FileType_SndFloat			= FOUR_CHAR_CODE('FLOT'),
	FileType_SndAiff			= FOUR_CHAR_CODE('AIFF'),
	FileType_SndAifc			= FOUR_CHAR_CODE('AIFC'),
	FileType_SndSdII			= FOUR_CHAR_CODE('Sd2f')
};

#endif

/*--------------------------------------------------------------------------*/
/*	Misc																	*/
/*--------------------------------------------------------------------------*/

#if HOST_OS_MAC | macintosh
#define kPathSepChar	':'
#define kPathSepStr		":"
#else
#define kPathSepChar	'/'
#define kPathSepStr		"/"
#endif

#define kEnvVarKeyChar	'$'
#define kEnvVarKeyStr	"$"

/*--------------------------------------------------------------------------*/

#endif /*_UNIVERSALENVVAR_*/



